BrowseForFolder

BrowseForFolder

Classe per far scegliere una cartella all'utente

Copyright © 2024 by QS Informatica. All Rights Reserved.


BrowseForFolderResult

BrowseForFolder ››

BrowseForFolderResult

BrowseForFolderResult.Name -> Restituisce la directory della cartella selezionata

BrowseForFolderResult.OK ->

Se premuto su Ok = True
Se premuto su Cancel/X = False


ShowBrowseForFolder

BrowseForFolder ››

ShowBrowseForFolder

Mostra un dialogo e aspetta che l'utente selezioni una cartella;

  • ShowBrowseForFolder(title, initPath)
  • ShowBrowseForFolder(title, initPath, nonewbutton)
  • ShowBrowseForFolder(title, initPath, nonewbutton, noedit)
  • ShowBrowseForFolder(title, initPath, nonewbutton, newstyle, noedit)

Nome Parametro | Tipo Parametro | Descrizione
title | string | Titolo dialogo
initPath | string | Directory preselezionata
nonewbutton | bool | Sceglie se mostrare il tasto per creare una nuova cartella
noedit | bool | Non utilizzato
newstyle | bool | Sceglie se mostrare lo stile compatto del dialogo

Esempio:

BrowseForFolderResult res = ShowBrowseForFolder("Seleziona Cartella: ", "C:\\Users\\utente\\Desktop\\MiaCartella")

res.Name diventerà: "C:\\Users\\utente\\Desktop\\MiaCartella"
res.OK (se l'operazione va a buon fine) diventerà: true altrimenti false


DlgCancOpForm

DlgCancOpForm

Classe per visualizzare una progress bar di avanzamento.

Metodi e Proprietà Utili:

  • Open([topMostWindow], [disableCancButton], [message]) -> fa comparire la schermata della progress bar su un thread separato rispetto al resto del programma per poter visualizzare correttamente lo stato attuale del caricamento
    • topMostWindow -> determina se la finestra viene visualizzata in primo piano o meno
    • disableCancButton -> indica se visualizzare o meno il pulsante di "Annulla"
    • message -> messaggio da mostrare
  • HasProg() -> serve per visualizzare l'effettivo progresso e non vedere la barra di avanzamento infinita
  • Step() -> aumenta il valore della barra
  • StepValue() -> imposta/prende il valore di avanzamento dello Step()
  • Counter() -> imposta/prende il numero di step effettuati
  • Max() -> imposta/prende il valore massimo che può assumere la barra
  • Close() -> chiude il form della progress bar

Esempio per una progress bar che dura un minuto:

DlgCancOpForm pb = new DlgCancOpForm();

gb.Max = 60;
gb.HasProg = true;
gb.StepValue = 1;
gb.Open();

for(int i=0;i<gb.Max;i++)
{
Thread.Sleep(1000);
gb.Step();
}
gb.Close();


FormAbout

FormAbout

Classe per mostrare all'utente una finestra di dialogo contente informazioni generiche riguardanti il software tra cui la presenza e il changelog degli hotfix.


ShowFormAbout

FormAbout ››

ShowFormAbout()

Mostra un dialogo contente informazioni

  • ShowFormAbout(name, description)
  • ShowFormAbout(name, description, image)
  • ShowFormAbout(name, description, inipath)
  • ShowFormAbout(name, description, inipath, image)

Nome Parametro | Tipo Parametro | Descrizione
name | string | Richiesta che compare sul dialogo
description | string | Titolo dialogo
image | Image | Risposta preinserita
inipath | string | Risposta preinserita scelta multipla

Esempio:

ShowFormAbout("TOP 2D", "Software per esensioni CAD", "C:\\Program Files\\Qs_informatica\\QSMech27_A2025")


GetFileNameIn

GetFileNameIn

Classe per far scegliere un file all'utente


GetFileNameInResult

GetFileNameIn ››

GetFileNameInResult

GetFileNameInResult.FileNames -> Restituisce la directory del file selezionato (se multisel = 0)
Restituisce la lista di directory dei file selezionati (se multisel = 1)

GetFileNameInResult.OK ->

Se premuto su Open = True
Se premuto su Cancel/X = False


ShowGetFileNameIn

GetFileNameIn ››

ShowGetFileNameIn

Mostra un dialogo e aspetta che l'utente selezioni un file;

  • ShowGetFileNameIn(filter, title)
  • ShowGetFileNameIn(filter, title, multisel)
  • ShowGetFileNameIn(dir, filter, title)
  • ShowGetFileNameIn(dir, filter, title, multisel)
  • ShowGetFileNameIn(dir, filter, name, title)
  • ShowGetFileNameIn(dir, filter, name, title, multisel)

Nome Parametro | Tipo Parametro | Descrizione
title | string | Titolo dialogo
dir | string | Directory preselezionata
filter | string | Filtri per i file
multisel | bool | Consente di far selezionare molteplici file o un file singolo
name | bool | Nome predefinito del file

Esempio:

GetFileNameInResult res = ShowGetFileNameIn("C:\\Users\\utente\\Desktop", "Lua Files (*.lua)|*.lua|All Files (*.*)|*.*", "Seleziona File: ")

res.FileNames diventerà: "C:\\Users\\utente\\Desktop\\MiaCartella\\nomefilescelto"
res.OK (se l'operazione va a buon fine) diventerà: true altrimenti false


GetFileNameOut

GetFileNameOut

Classe per far scegliere dove salvare un file all'utente


GetFileNameOutResult

GetFileNameOut ››

GetFileNameOutResult

GetFileNameOutResult.FileName -> Restituisce la directory del file (compreso nome file e estensione) che si vuole salvare

GetFileNameInResult.OK ->

Se premuto su Save = True
Se premuto su Cancel/X = False


ShowGetFileNameOut

GetFileNameOut ››

ShowGetFileNameOut

Mostra un dialogo e aspetta che l'utente selezioni un posto per salvare il file;

  • ShowGetFileNameOut(dir, filter, name, title, defext)

Nome Parametro | Tipo Parametro | Descrizione
title | string | Titolo dialogo
dir | string | Directory preselezionata
filter | string | Filtri per i file
name | string | Nome predefinito del file
defext | string | Estensione di Default

defext agisce solo nel caso l'utente selezioni "All files" come filtro e non inserisca a mano un estensione

Esempio:

GetFileNameOutResult res = ShowGetFileNameIn("C:\\Users\\utente\\Desktop", "Lua Files (*.lua)|*.lua|All Files (*.*)|*.*", "", "Salva File: ", ".txt")

res.FileName diventerà: "C:\\Users\\utente\\Desktop\\MiaCartella\\nomefilesalvato"
res.OK (se l'operazione va a buon fine) diventerà: true altrimenti false


InputBox

InputBox

Classe per far inserire all'utente dei dati.


InputBoxResult

InputBox ››

InputBoxResult

InputBoxResult.Text -> Restituisce il testo inserito nella casella di testo

InputBoxResult.OK ->

Se premuto su Ok = True
Se premuto su Cancel/X = False


ShowInputBox

InputBox ››

ShowInputBox

Mostra un dialogo e aspetta che l'utente digiti nella casella testo o clicchi un pulsante.

  • ShowInputBox(prompt, title, defaultResponse)
  • ShowInputBox(prompt, title, defaultResponse, pwd)
  • ShowInputBox(prompt, title, defaultResponse, validator)
  • ShowInputBox(prompt, title, defaultResponseList, selectedText)
  • ShowInputBox(prompt, title, defaultResponse, pwd, maxLength)
  • ShowInputBox(prompt, title, defaultResponseList, selectedText, validator)
  • ShowInputBox(prompt, title, defaultResponse, validator, xpos, ypos)
  • ShowInputBox(prompt, title, defaultResponseList, selectedText, disableEdit, validator)
  • ShowInputBox(prompt, title, defaultResponse, validator, xpos, ypos, pwd)
  • ShowInputBox(prompt, title, defaultResponseList, selectedText, validator, width, height)
  • ShowInputBox(prompt, title, defaultResponse, validator, xpos, ypos, pwd, maxLength)
  • ShowInputBox(prompt, title, defaultResponseList, selectedText, disableEdit, validator, width, height)
  • ShowInputBox(prompt, title, defaultResponseList, selectedText, validator, xpos, ypos, width, height)
  • ShowInputBox(prompt, title, defaultResponseList, selectedText, disableEdit, validator, xpos, ypos, width, height)

Nome Parametro | Tipo Parametro | Descrizione
prompt | string | Richiesta che compare sul dialogo
title | string | Titolo dialogo
defaultResponse | string | Risposta preinserita
defaultResponseList | List<string> | Risposta preinserita scelta multipla
pwd | int (0/1) | 1 = On ; 2 = Off -> Censura Password
validator | QsUI.InputBoxValidatingHandler |
selectedText | string | Risposta preselezionata in caso di scelta multipla
maxLength | int | Lunghezza massima caratteri
disableEdit | bool | Consente o meno all'utente di inserire risposte personalizzate
xpos | int | Posizionamento dialogo su coordinata X
ypos | int | Posizionamento dialogo su coordinata Y
width | int | Larghezza finestra dialogo
height | int | Altezza finestra dialogo

Esempio:

InputBoxResult res = ShowInputBox("Scegli l'angolo", "Inserimento Linea", "0")

res.Text diventerà: "valore inserito dall'utente"
res.OK (se l'operazione va a buon fine) diventerà: true altrimenti false


ShowInputBoxAsMultiLine

InputBox ››

ShowInputBoxAsMultiLine

Mostra un dialogo con casella di testo multilinea e aspetta che l'utente digiti nella casella testo o clicchi un pulsante.

  • ShowInputBoxAsMultiline(prompt, title, defaultResponse, validator)
  • ShowInputBoxAsMultiline(prompt, title, defaultResponse, validator, useOnlyOkButton)
  • ShowInputBoxAsMultiline(prompt, title, defaultResponse, validator, maxLength, useOnlyOkButton)
  • ShowInputBoxAsMultiline(prompt, title, defaultResponse, validator, width, height, maxLength, useOnlyOkButton)
  • ShowInputBoxAsMultiline(prompt, title, defaultResponse, validator, xpos, ypos, width, height, maxLength, useOnlyOkButton)

Nome Parametro | Tipo Parametro | Descrizione
prompt | string | Richiesta che compare sul dialogo
title | string | Titolo dialogo
defaultResponse | string | Risposta preinserita
validator | QsUI.InputBoxValidatingHandler |
useOnlyOkButton | bool | Determina se mostrare solo il tasto Ok
maxLength | int | Lunghezza massima caratteri
xpos | int | Posizionamento dialogo su coordinata X
ypos | int | Posizionamento dialogo su coordinata Y
width | int | Larghezza finestra dialogo
height | int | Altezza finestra dialogo


ListChoice

ListChoice

Classe per far selezionare all'utente un elemento da una lista.


ShowListChoice

ListChoice ››

ShowListChoice

Mostra un dialogo e aspetta che l'utente selezioni un elemento dalla lista;
Ritorna un object del tipo del datasource.

  • ShowListChoice(title, datasource, [witdh], [height], [sel], [alignment])

Nome Parametro | Tipo Parametro | Descrizione
title | string | Titolo dialogo
datasource | list | Lista degli elementi selezionabili
width | int | Larghezza finestra dialogo (default = 193)
height | int | Altezza finestra dialogo (default = 305)
sel | int | Indice elemento preselezionato (default = -1)
alignment | string | Allineamento del testo (default = "c")

Esempio:

List<string> list =
[
"Linea",
"Quadrato",
"Cerchio",
]

object res = ShowListChoice("Scegli oggetto: ", list)

res.ToString() diventerà: "oggetto scelto"


Log

Log

Registra un messaggio nei file di log segnato come "Error"

  • Log(ex)
  • Log(message)
  • Log(modulename, message)

Nome Parametro | Tipo Parametro | Descrizione
ex | Exception | Eccezione che verrà scritta sul log
message | string | Messaggio che verrà scritto sul log
modulename | string | Nome del modulo da cui proviene la registrazione


LogInfo

LogInfo

Registra un messaggio nei file di log segnato come "Information"

  • LogInfo(message)

Nome Parametro | Tipo Parametro | Descrizione
message | string | Messaggio che verrà scritto sul log


LolEditor

LolEditor

Classe per far visualizzare all'utente una lol (list of lists)


ShowLolEditor

LolEditor ››

ShowLolEditor

Mostra un dialogo all'utente per visualizzare la lol passata
Ritorna la medesima lol

  • ShowLolEditor(datasource, title, checkbox, hiddencolumns, options)

Nome Parametro | Tipo Parametro | Descrizione
datasource | List<List<string>> | La Lol da editare
title | string | Titolo finestra di dialogo
checkbox | int | Determina se mostrare o meno le checkbox di fianco alla lol
hiddencolumns | List<string> | Messaggio da mostrare
options | List<columnOptions> | Titolo finestra di dialogo

Esempio:

List<List<string>> dataSource = new List<List<string>>();
dataSource.Add(new List<string> { "Codice", "Qta", "Commessa", "ValoreAlternativo" });
dataSource.Add(new List<string> { "ABC", "2" });
dataSource.Add(new List<string> { "DEF", "5", "C12345", "ZZZ" });
dataSource.Add(new List<string> { "GHI", "1", "", "YYY" });
dataSource.Add(new List<string> { "JKL", "10", "N34D5", "XXX" });
List<ColumnOptions> columnOptions = new List<ColumnOptions>();
columnOptions.Add(new ColumnOptions());
QsUI.QsUI.ShowLolEditor(dataSource, "title", 1, new List<string> { "ValoreAlternativo" }, columnOptions);


MessageBox

MessageBox

Classe per mostrare all'utente un messaggio.


MessageBoxResult

MessageBox ››

MessageBoxResult

MessageBoxResult.Choice ->
Se premuto su Ok/Si = 1
Se premuto su Cancel/No/X = 0

MessageBoxResult.OK ->

Se premuto su Ok/Si = True
Se premuto su Cancel/No/X = False


ShowMessageBox

MessageBox ››

ShowMessageBox

Mostra un dialogo e aspetta che l'utente selezioni un elemento dalla lista;

  • ShowMessageBox(flags, text, title)

Nome Parametro

Tipo Parametro

Descrizione

flags

string

Serve per scegliere i pulsanti e le icone

a | Pulsanti: OK
b | Pulsanti: OK Cancella
c | Pulsanti: Si No
d | Pulsanti: Si No Cancella
i | Icona: Asterisco
j | Icona: Esclamazione
k | Icona: Domanda
l | Icona: Errore

text

string

Testo della MessageBox

title

string

Titolo della MessageBox

Esempio:

MessageBoxResult res = ShowMessageBox("al", "Errore nell'inserimento", "Inserimento Linea")

res.Choice diventerà: 1 se Ok, 0 se X
res.OK (se l'operazione va a buon fine) diventerà: true se Ok, false se X


OperationChoice

ShowOperationChoice

Serve in situazioni di spostamento file nel caso tale file sia già presente;

Restituisce un operation choice

  • ShowOperationChoice(text, ButtonSet)

Nome Parametro

Tipo Parametro

Descrizione

text

string

Messaggio da visualizzare all'interno del dialogo

buttonSet

OperationChoice.QuestionButtonSet

Pulsanti da mostrare all'utente:

  • ReplaceIgnore
  • ReplaceIgnoreBoth

Esempio:

OperationChoice res = ShowOperationChoice("Sostituire il file?: ", OperationChoice.QuestionButtonSet.ReplaceIgnore)

res.OperationChoiceEnum diventerà: Replace se cliccato su Replace, Ignore se cliccato su Ignore....


ShowEdit

ShowEditList

Classe per mostrare all'utente una finestra di dialogo che gli consente di aggiungere, modificare ed eliminare codici. Non vengono effettuati controlli sui valori immessi. Se filepath è presente e rappresenta il nome completo di un file, viene letto per riempire la lista di codici iniziale e per restituire i valori di ritorno quando l'utente preme OK. La funzione restituisce un EditListResult contenente il risultato dell'operazione e la lista di valori.


EdiListResult

ShowEdit ››

EditListResult

EditListResult.ListCodes -> Restituisce un'array di stringhe contenente i codici

EditListResult.OK ->

Se premuto su Ok = True
Se premuto su Cancel/X = False


ShowEditList

ShowEdit ››

ShowEditList

Mostra all'utente una finestra di dialogo che gli consente di aggiungere, modificare ed eliminare codici.
Restituisce un EditListResult contenente il risultato dell'operazione e la lista di valori.

  • ShowEditList(filePath, [chechPath])

Nome Parametro | Tipo Parametro | Descrizione
filePath | string | Path del file contenente i codici
checkPath | string | Indica se controllare o meno la validità del percorso passato

Esempio:

EditListResult res = ShowEditList("C:\\Users\\benignom\\Desktop\\codici.txt")

res.ListCodes diventerà: { codice1, codice2, codice3 }
res.OK (se l'operazione va a buon fine) diventerà: true altrimenti false


ShowText

ShowText

Classe per mostrare all'utente un testo (da usare in alternativa a MessageBox o VisMsg in caso di testi particolarmente lunghi)

senza richiedere input di alcun tipo come Buttons o Input

ShowText(text, title)

Esempio:

ShowText("Lorem ipsum dolor sit amet", "Lorem Ipsum")


VisMsg

VisMsg

Classe per mostrare all'utente un semplice messaggio

  • VisMsg(ownerForm, ex)
  • VisMsg(ownerForm, msg)
  • VisMsg(ownerForm, exList)
  • VisMsg(ownerForm, ex, notShowAgain)
  • VisMsg(ownerForm, title, msg)
  • VisMsg(ownerForm, exList, notShowAgain)
  • VisMsg(ownerForm, msg, iconType)
  • VisMsg(ownerForm, title, msg, iconType)
  • VisMsg(ownerForm, msg, buttons, iconType)
  • VisMsg(ownerForm, title, msg, buttons, iconType)

Nome Parametro | Tipo Parametro | Descrizione
ownerForm | Win32Window | Imposta il form padre di VisMsg
ex | Exception | Eccezione da mostrare
exList | List<Exception> | Lista di eccezioni da mostrare
msg | string | Messaggio da mostrare
title | string | Titolo finestra di dialogo
notShowAgain | bool (in output) | Indica se alla chiusura del dialogo la checkbox "Non mostrare più" è stata spuntata
buttons | MessageBoxButtons | Pulsanti da mostrare (seguono i pulsanti delle MessageBox standard di WinForms)
iconType | MessageBoxIcon | Icona da mostrare (segue le icone standard di WinForms)

Esempio:

(Parent, "File salvato con Successo", "Salvataggio File")


WinToggles

WinToggles

Classe per mostrare all'utente una finestra di dialogo contente una lista di checkbox per verificare e/o modificare valori booleani


ShowWinToggles

WinToggles ››

ShowWinToggles()

Mostra un dialogo contente una lista di checkBox;

Restituisce un oggetto di tipo WinTogglesResult che non è altro che una lista contenente i nomi delle checkBox che sono impostate a true.

  • ShowWinToggles(items)
  • ShowWinToggles(items, coltitle)
  • ShowWinToggles(title, items)
  • ShowWinToggles(title, items, coltitle)

Nome Parametro | Tipo Parametro | Descrizione
items | DevExpress.XtraEditors.Controls.CheckedListBoxItem[] | Array di checkBox di DevExpress che compariranno nella finestra
coltitle | string | Titoletto colonna
title | string | Titolo finestra di dialogo

Esempio:

DevExpress.XtraEditors.Controls.CheckedListBoxItem[] array =
[
new DevExpress.XtraEditors.Controls.CheckedListBoxItem("check1"),
new DevExpress.XtraEditors.Controls.CheckedListBoxItem("check2"),
new DevExpress.XtraEditors.Controls.CheckedListBoxItem("check3"),
new DevExpress.XtraEditors.Controls.CheckedListBoxItem("check4"),
new DevExpress.XtraEditors.Controls.CheckedListBoxItem("check5"),
];
WinTogglesResult winTogglesResult = QsUI.QsUI.ShowWinToggles("Indicare le parti", array, "Prova");

In questo caso la lista in ritorno conterrà solamente check2 e check4 perchè sono gli unici 2 checkati